﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Understanding Entitlement Hierarchy and Entitlement Mapping</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Understanding Entitlement Hierarchy and Entitlement Mapping</h1>
        <p>Entitlement hierarchy and entitlement mapping are used to manage the dependent entitlements by defining a set of relationships between the parent and child entitlements that are requestable for a user. You can define a relationship within the same entitlement type or two different entitlement types.</p>
        <h2 id="UnderstandingEntitlementHierarchyandEntitlementMapping-ConfiguringEntitlementHierarchyandEntitlementMapping">Configuring Entitlement Hierarchy and Entitlement Mapping</h2>
        <p>The following table provides the reference links of the configurations to define entitlement hierarchy and entitlement mapping:</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 263.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 497.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Configuration Name</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Config for Requestable Entitlement in ARS</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">For more information, see <MadCap:xref href="../../Chapter12-Managing-Access-Requests/Creating-an-Entitlement-Type.htm">Creating an Entitlement Type</MadCap:xref>.</p>
                        <p class="table-text">Example: Let us consider an application that has a dynamic attribute <strong>DA1</strong> and two entitlement types <strong>ET1</strong> and <strong>ET2</strong>. <strong>ET1</strong> contains entitlement values <b>C1, C2, C3, C4, C5</b> and <strong>ET2</strong> contains entitlement values <b>D1, D2, D3, D4, D5</b>. For entitlements <b>C1, C2, C3, D1,</b> and<strong> D2</strong>, the <strong>customproperty1</strong> under 'Other Attributes' is set to '<strong>1</strong>' and administrators define the <strong>Config for Requestable Entitlement in ARS </strong>query as ‘<strong>ev.customproperty1=${DA1}</strong>’.<br />When the requestor specifies <strong>DA1</strong> as '<strong>1</strong>' in the request form, then the application lists only <b>C1, C2, C3, D1,</b> and<strong> D2</strong> entitlements as requestable entitlements for the requestor.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Config for Selected Entitlement in ARS</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">For more information, see Entitlement Type section in <MadCap:xref href="Viewing-or-Updating-Endpoints.htm">Viewing or Updating Endpoints</MadCap:xref>.</p>
                        <p class="table-text">This query runs on top of <strong>Config for Requestable Entitlement in ARS</strong> and filters the selected entitlements to display the remaining entitlements.</p>
                        <p class="table-text">For example, if the entitlement value C1 is selected and next time when you try to select other entitlements, C1 is removed from the available entitlement list.</p>
                        <p class="table-text">Let us consider an application that has a dynamic attribute with the name <strong>DA1</strong> and two entitlement types <strong>ET1</strong> and <strong>ET2</strong>. <strong>ET1</strong> contains entitlement values <b>C1, C2, C3, C4, C5</b> and <strong>ET2</strong> contains entitlement values <b>D1, D2, D3, D4, D5</b>. For entitlements <b>C1, C2, C3, D1,</b> and<strong> D2</strong>, the <strong>customproperty1</strong> under 'Other Attributes' is set to '<strong>1</strong>' and administrators define the <strong>Config for Selected Entitlement in ARS </strong>query as ‘<strong>ev.customproperty1=${DA1}</strong>’.<br />When the requestor specifies <strong>DA1</strong> as '<strong>1</strong>' in the request form, then the application lists only <b>C1, C2, C3, D1,</b> and<strong> D2</strong> entitlements as selected entitlements for the requestor.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Request Filter</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">For more information, see <strong>Adding the Entitlement Map</strong> section in <MadCap:xref href="Viewing-or-Updating-Entitlements.htm#top">Viewing or Updating Entitlements</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Exclude Entitlement</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">For more information, see <strong>Adding the Entitlement Map</strong> section in <MadCap:xref href="Viewing-or-Updating-Entitlements.htm">Viewing or Updating Entitlements</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Hierarchy</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text"> For more information, see <strong>Entitlement Type</strong> section in <MadCap:xref href="Viewing-or-Updating-Entitlements.htm">Viewing or Updating Entitlements</MadCap:xref>.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2 id="UnderstandingEntitlementHierarchyandEntitlementMapping-RequestFilter">Request Filter</h2>
        <p>Enables or disables to show the mapped entitlement values in the ARS request when the user selects the parent entitlement. The request filter works on the same entitlement type or different entitlement types. The options are:</p>
        <ul>
            <li>
                <p><strong>ON:</strong> Use this option to show the mapped entitlement values of the parent entitlement. </p>
            </li>
            <li>
                <p><strong>OFF:</strong>&#160;Use this option to hide the mapped entitlement values of the parent entitlement. By default, it is disabled.</p>
            </li>
        </ul>
        <h3 id="UnderstandingEntitlementHierarchyandEntitlementMapping-UsingRequestFilteronSingleEntitlementType">Using Request Filter on Single Entitlement Type</h3>
        <p>Let us consider an application with entitlement type <strong>EntType 01</strong>, where "EntType01" contains entitlement values Entitlement 01, Entitlement 02, Entitlement 03, Entitlement 04, and Entitlement 05. You can define the entitlement mapping to show 'Entitlement 03' and 'Entitlement 05' as requestable entitlements when the user selects 'Entitlement 01' in the request form.</p>
        <p><strong>Procedure</strong>
        </p>
        <ol>
            <li>
                <p>Click<strong> Admin &gt; Identity Repository &gt; Entitlements</strong>.</p>
            </li>
            <li>
                <p>Search for <strong>Entitlement 01</strong> from the entitlement list and click the entitlement value.</p>
            </li>
            <li>
                <p>Select <strong>Other Entitlement Details &gt; Entitlement Map &gt; Actions &gt; Add New Entitlement Map</strong>.</p>
                <p>
                    <img src="../../Resources/Images/Add New Entitlement Map.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                    <br />
                </p>
            </li>
            <li>
                <p>Search for required entitlements using the <strong>Advanced</strong> option and select <strong>Entitlement 03 </strong>and<strong> Entitlement 05</strong>.</p>
            </li>
            <li>
                <p>Enable <strong>Request Filter</strong> and click <strong>Save</strong>.</p>
                <p>
                    <img src="../../Resources/Images/entitlement map.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                    <br />
                </p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>Verify the entitlement mapping created using the <strong>Request Filter</strong> option.</p>
                <p>
                    <img src="../../Resources/Images/entitlement mapping.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
            </li>
        </ol>
        <h3 id="UnderstandingEntitlementHierarchyandEntitlementMapping-UsingRequestFilteronMultipleEntitlementTypes">Using Request Filter on Multiple Entitlement Types</h3>
        <p>Let us consider an application with entitlement types <strong>EntType 01 </strong>and<strong> EntType 02</strong>, where "EntType01" contains entitlement values Entitlement 01, Entitlement 02, Entitlement 03, Entitlement 04, Entitlement 05 and"EntType 02"contains entitlement values Entitlement A, Entitlement B, Entitlement C, Entitlement D, and Entitlement E.Youcan define the entitlement mapping to show 'Entitlement C' and 'Entitlement E' from "EntType 02" entitlement type as requestable entitlements when the user selects 'Entitlement 01' from "EntType 01" entitlement type in the request form.</p>
        <p><strong>Procedure</strong>
        </p>
        <ol>
            <li>
                <p>Click<strong> Admin &gt; Identity Repository &gt; Entitlements</strong>.</p>
            </li>
            <li>
                <p>Search for <strong>Entitlement 01</strong> from the entitlement list and click the entitlement value.</p>
            </li>
            <li>
                <p>Select <strong>Other Entitlement Details &gt; Entitlement Map &gt; Actions &gt; Add New Entitlement Map</strong>.</p>
            </li>
            <li>
                <p>Search for required entitlements using the <strong>Advanced</strong> option and select <strong>Entitlement C </strong>and<strong> Entitlement E</strong>.</p>
            </li>
            <li>
                <p>Enable <strong>Request Filter</strong> and click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>Verify the entitlement mapping created using the <strong>Request Filter</strong> option.</p>
            </li>
        </ol>
        <h2 id="UnderstandingEntitlementHierarchyandEntitlementMapping-ExcludeEntitlement">Exclude Entitlement </h2>
        <p>Enables or disables to exclude the mapped entitlement values in the ARS request when the user selects the parent entitlement. The options are:</p>
        <ul>
            <li>
                <p><strong>ON:</strong> Use this option to exclude the mapped entitlement values of the parent entitlement. </p>
            </li>
            <li>
                <p><strong>OFF:</strong>&#160;Use this option to disable excluding the mapped entitlement values of the parent entitlement. By default, it is disabled.</p>
            </li>
        </ul>
        <h3 id="UnderstandingEntitlementHierarchyandEntitlementMapping-UsingExcludeEntitlementonSingleEntitlementType">Using Exclude Entitlement on Single Entitlement Type</h3>
        <p>Let us consider an application with entitlement type <strong>EntType 01</strong>, where "EntType01" contains entitlement values Entitlement 01, Entitlement 02, Entitlement 03, Entitlement 04,andEntitlement 05. You can define the entitlement mapping to exclude 'Entitlement 03' and 'Entitlement 05' when the user selects 'Entitlement 01' in the request form.</p>
        <p><strong>Procedure</strong>
        </p>
        <ol>
            <li>
                <p>Select<strong> Admin &gt; Identity Repository &gt; Entitlements</strong>.</p>
            </li>
            <li>
                <p>Search for <strong>Entitlement 01</strong> from the entitlement list and click the entitlement value.</p>
            </li>
            <li>
                <p>Select <strong>Other Entitlement Details &gt; Entitlement Map &gt; Actions &gt; Add New Entitlement Map</strong>.</p>
                <p>
                    <img src="../../Resources/Images/Entitlement 01.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                    <br />
                </p>
            </li>
            <li>
                <p>Search for required entitlements using the <strong>Advanced</strong> option and select <strong>Entitlement 03 </strong>and<strong> Entitlement 05</strong>.</p>
            </li>
            <li>
                <p>Enable <strong>Exclude Entitlement</strong> and click <strong>Save</strong>.</p>
                <p>
                    <img src="../../Resources/Images/Exclude Entitlement.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                    <br />
                </p>
            </li>
            <li>
                <p>Verify the entitlement mapping created using the <strong>Exclude Entitlement</strong> option.</p>
                <p>
                    <img src="../../Resources/Images/Exclude Entitlement1.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
            </li>
        </ol>
        <h3 id="UnderstandingEntitlementHierarchyandEntitlementMapping-UsingExcludeEntitlementonMultipleEntitlementTypes">Using Exclude Entitlement on Multiple Entitlement Types</h3>
        <p>Let us consider an application with entitlement types <strong>EntType 01 </strong>and<strong> EntType 02</strong>, where "EntType01" contains entitlement values Entitlement 01, Entitlement 02, Entitlement 03, Entitlement 04,Entitlement 05 and"EntType 02"contains entitlement values Entitlement A, Entitlement B, Entitlement C, Entitlement D, and Entitlement E. You can define the entitlement mapping to exclude 'Entitlement C' and 'Entitlement E' from "EntType 02" entitlement type when the user requests for 'Entitlement 01' from "EntType 01" entitlement type in the request form.</p>
        <p><strong>Procedure</strong>
        </p>
        <ol>
            <li>
                <p>Click<strong> Admin &gt; Identity Repository &gt; Entitlements</strong>.</p>
            </li>
            <li>
                <p>Search for <strong>Entitlement 01</strong> from the entitlement list and click the entitlement value.</p>
            </li>
            <li>
                <p>Select <strong>Other Entitlement Details &gt; Entitlement Map &gt; Actions &gt; Add New Entitlement Map</strong>.</p>
            </li>
            <li>
                <p>Search for required entitlements using the <strong>Advanced</strong> option and select <strong>Entitlement C </strong>and<strong> Entitlement E</strong>.</p>
            </li>
            <li>
                <p>Enable <strong>Exclude Entitlement</strong> and click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>Verify the entitlement mapping created using the <strong>Exclude Entitlement</strong> option.</p>
            </li>
        </ol>
        <h2 id="UnderstandingEntitlementHierarchyandEntitlementMapping-EntitlementHierarchy">Entitlement Hierarchy</h2>
        <p>It is mainly used for mapped entitlements (parent and child entitlements) and signifies whether to display child entitlements in the ARS request form or not. It includes two options: <strong>Required</strong> and <strong>Not Required</strong>.</p>
        <ul>
            <li>
                <p>If Hierarchy is set as <strong>Not Required</strong> for a child entitlement, it displays all child entitlements as a requestable option in ARS. However, if you want to display a specific child entitlement then set the Hierarchy as <strong>Required</strong>. </p>
            </li>
            <li>
                <p>If Hierarchy is set as <strong>Required </strong>and when you select the parent entitlement in ARS, it automatically displays only the specific child entitlements.</p>
            </li>
        </ul>
    </body>
</html>